local StoneGateV5 = ...

-- Register all stone gate set building parts and their properties
StoneGateV5:dofile("scripts/basicMain.lua")
StoneGateV5:dofile("scripts/basicKeep.lua")
StoneGateV5:dofile("scripts/decoration.lua")
StoneGateV5:dofile("scripts/poleFlag.lua")

-- Register the stone gate set monument
StoneGateV5:register({
	DataType = "MONUMENT",
	Id = "STONE_GATE_V5_MONUMENT",
	Name = "STONE_GATE_V5_MONUMENT_NAME",
	Description = "STONE_GATE_V5_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "STONE_GATE_V5_MAIN_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_MAIN_ROOT_PART",
		            "STONE_GATE_V5_MAIN_ROOF_A_PART",
		            "STONE_GATE_V5_MAIN_ROOF_B_PART",
		            "STONE_GATE_V5_MAIN_ROOF_C_PART",
		            "STONE_GATE_V5_MAIN_ROOF_D_PART"
                        }
                },
		{
			Name = "STONE_GATE_V5_KEEP_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_KEEP_ROOT_PART",
		            "STONE_GATE_V5_KEEP_ROOF_A_PART",
		            "STONE_GATE_V5_KEEP_ROOF_B_PART",
		            "STONE_GATE_V5_KEEP_ROOF_C_PART",
		            "STONE_GATE_V5_KEEP_ROOF_D_PART",
		            "STONE_GATE_V5_KEEP_ROOF_E_PART"
                        }
                },
		{
			Name = "STONE_GATE_V5_ENTRANCE_PARTSETLIST_NAME",
	                BuildingPartList = {
 		            "STONE_GATE_V5_ENTRANCE_DOOR_A_PART",
  		            "STONE_GATE_V5_ENTRANCE_DOOR_B_PART"
                       }
                },
		{
			Name = "STONE_GATE_V5_DECORATION_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V5_DECORATION_SFENETRE_PART",
		            "STONE_GATE_V5_DECORATION_LFENETRE_PART",
		            "STONE_GATE_V5_DECORATION_PFENETRE_PART",
		            "STONE_GATE_V5_DECORATION_ARROWSLIT_PART",
		            "STONE_GATE_V5_DECORATION_BALCONY_PART",
		            "STONE_GATE_V5_POLE_FLAG_RED_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_BLUE_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_GREEN_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_PURPLE_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_ORANGE_ROOT_PART",
		            "STONE_GATE_V5_POLE_FLAG_TURQUOISE_ROOT_PART"
                        }
                }                  
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})